<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
 "http://www.w3.org/TR/REC-html40/loose.dtd">

<HTML>

<HEAD>
<META name="GENERATOR" content="Htmlc 2.3">
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">

<TITLE>

JFLA 2012
</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFACD">
<TABLE CELLPADDING=0 CELLSPACING=0 WIDTH="100%">
 <TR>
   <TD><IMG SRC="http://jfla.inria.fr/imgs/inria.gif" ALT="LOGO INRIA"></TD>
   <TD><FONT COLOR="#003399" SIZE="+3">
       <STRONG>Cours et Colloques</STRONG></FONT></TD>
 </TR>
</TABLE>
<P ALIGN=CENTER><IMG SRC="http://jfla.inria.fr/imgs/ti_dessous.gif" ALT="TRAIT"></P>

<P><FONT COLOR="#003399"><STRONG>Contact:</STRONG></FONT>
   <CODE>symposia@inria.fr</CODE>
</P>

<H1 ALIGN=CENTER>JFLA 2012</H1>

<H3 ALIGN=CENTER>4 février au 7 février 2012 Carnac</H3>

<P ALIGN=CENTER>
<IMG SRC="http://jfla.inria.fr/2012/photo_site_conf.jpg"
     ALT="Site de la manifestation"></P>



<H1 ALIGN=CENTER>Programme JFLA 2012</H1>

<H2 ALIGN=LEFT>Arrivée: 4 février 2012</H2>

<H2 ALIGN=LEFT>Premier jour: 4 février 2012</H2>

<UL>

  <li>14h00 - 15h15 Cocktail de bienvenue</li>

  <LI><B>15h15 - 15h45</B> Accueil - Présentation</LI>

  <LI><B>15h45 - 17h15</B> Cours par <strong>Jean-Christophe Filliâtre</strong> :
      <I><strong style="color:blue">Vérification déductive de programmes avec Why3</strong><BR>
La page du cours et des exercices se trouve <A HREF="http://why3.lri.fr/jfla-2012/">ici</A>.

</I></LI>

  <LI><B>17h15 - 17h45</B> Pause-café</LI>

  <LI><B>17h45 - 19h</B> Cours par <strong>Matthieu Sozeau</strong> :
      <I><strong style="color:blue">Classes de types en Coq</strong></I></LI>

  <LI>19h00 Dîner</LI>

</UL>

<H2 ALIGN=LEFT>Deuxième jour: 5 février 2012</H2>

<UL>

  <LI><B>9h - 10h30</B> Cours par <strong>Jean-Christophe Filliâtre</strong> :
      <I><strong style="color:blue">Vérification déductive de programmes avec Why3</strong>
<BR>
La page du cours et des exercices se trouve <A HREF="http://why3.lri.fr/jfla-2012/">ici</A>.
</I></LI>

  <LI><B>10h30 - 11h</B> Pause-café</LI>

  <LI><B>11h00 - 12h15</B> Cours par<strong> Matthieu Sozeau</strong> :
      <I><strong style="color:blue">Classes de types en Coq</strong></I></LI>

  <LI>12h30 - 14h Déjeuner</LI>

  <LI>14h00 - 18h Excursion: une balade</LI>

<!--
  <LI><B>18h00 - 19h</B> Discussion sur les JFLA'2007
-->

  <LI>19h00 Dîner</LI>

</UL>

<H2 ALIGN=LEFT>Troisième jour: 6 février 2012</H2>

<UL>

  <LI><B>9h00 - 10h00</B> Conférence invitée par <strong>Dimitrios Vytiniotis</strong>
 : <BR>
  <I><strong style="color:blue">Stop when you are Almost-Full: terminator and size-change
    termination in Coq</strong></I> </LI>


  <LI><B>10h - 10h30</B> Pause-café</LI>

<li>10h30 - 12h00	
  <ul>
    <li><strong>Christophe Deleuze.</strong> <br>
        <strong style="color:blue">Concurrence et continuations en OCaml</strong>
    </li>
    <li><strong>Fabrice Le Fessant et Thomas Gazagnaire.</strong> <br> 
        <strong style="color:blue">Gestion de projet avec ocp-build</strong>
    </li>
    <li><strong>Bernard Serpette et Emmanuel Chailloux.</strong><br>
      <strong style="color:blue">Séparation des couleurs dans un
      lambda-calcul bichrome</strong>
    </li>
  </ul>
</li>
  <LI>12h00 - 14h Déjeuner</LI>
<li>14h00 - 15h30	
  <ul>
    <li><strong>Simon Boulier et Alan
    Schmitt.</strong><br>
      <strong style="color:blue"> Formalisation de
	HOCore en Coq</strong></li>
    <li><strong>Daniel De
    Rauglaudre.</strong><br>
      <strong style="color:blue"> Vérification
	formelle de conditions d'ordonnancabilité de tâches temps réel
	périodiques strictes</strong> </li>
    <li><strong>Pierre
    Boutillier.</strong><br>
       <strong style="color:blue">Ad hoc reductions
	make structural guard condition stricter and smarter</strong></li>
  </ul>
</li>
<li>15h30 - 16h00	Pause</li>
<li>16h00 - 17h00	
<ul>
  <li><strong>Cyril
  Cohen.</strong><br>
    <strong style="color:blue">Construction des nombres
  algébriques réels en Coq</strong></li>
  <li><strong>Catherine Lelay et Guillaume Melquiond.</strong><br>
    <strong style="color:blue">Différentiabilité et
  intégrabilité en Coq. Application à la formule de
  d'Alembert</strong></li>
</ul>
</li>
<LI>19h00 Dîner</LI>

</UL>

<H2 ALIGN=LEFT>Quatrième jour: 7 février 2012</H2>

<UL>

  <LI><B>9h00 - 10h00</B> Conférence invitée par <strong>Benjamin Grégoire</strong> : <BR>
  <I> <strong style="color:blue">Easycrypt : un outil pour les preuves de cryptographie exacte</strong></I>

  </LI>

  <LI><B>10h - 10h30</B> Pause-café</LI>

  <LI><B>10h30 - 11h30</B>
    <ul>
      <li><strong>Jean-François
      Durfourd.</strong><br>
	<strong style="color:blue">Dérivation de
      l'algorithme de Schorr-Waite en Coq par une méthode
      algébrique </strong></li>
      <li><strong>Mathieu Jaume et Renaud
      Rioboo.</strong><br>
	<strong style="color:blue">Développement de
      systèmes sécurisés avec l'atelier FoCaLiZe</strong></li>
    </ul>
  </LI>
  <li>11h30 - 12h00	Bilan des journées</li>
  <li>12h00 - 14h00	Déjeuner   	</li>
</ul>

<HR>
<P>Pour tout renseignement, contacter

<BLOCKQUOTE>
Chantal Girodon<BR>
INRIA Service IST
 Domaine de Voluceau - BP 105
 78153 Le Chesnay cedex - France<BR>
Tel : +33 (0)1 39 63 50 53 - Fax : +33 (0)1 39 63 56 38<BR>
email : <CODE>symposia@inria.fr</CODE><BR>
<CODE>http://jfla.inria.fr/2012/</CODE><BR>
<BR>
</BLOCKQUOTE>

<I><BR> Pour toutes remarques d'ordre général ou technique concernant
cette page, écrire à <A
HREF="mailto:Pierre.Weis@inria.fr">Pierre.Weis@inria.fr</A>.</I>

<HR>

<P><I>Conception et mise au point: Pierre Weis.</I>


<BR>
<I><A HREF="http://jfla.inria.fr/2012/copyright-fra.html">Copyright</A>
&#169; 1996 - 2011 INRIA, tous droits réservés.</I>
<BR>

   <EM>Date de dernière modification:
mercredi 1er février 2012
</EM>

<P ALIGN=CENTER>
  <IMG SRC="http://jfla.inria.fr/imgs/JoeCaml.gif" ALT="LOGO Caml">
  <EM>Powered by Caml</EM>
  <IMG SRC="http://jfla.inria.fr/imgs/CamlJoe.gif" ALT="Caml LOGO">
</P>



</BODY>
</HTML>

